Buffalo NAS-Central Forums

Welcome to the Linkstation Wiki community
It is currently Wed Aug 27, 2014 4:09 pm

All times are UTC [ DST ]




Post new topic Reply to topic  [ 146 posts ]  Go to page Previous  1, 2, 3, 4, 5, 6, 7 ... 10  Next
Author Message
PostPosted: Thu May 01, 2008 1:02 pm 
Offline
Site Admin
User avatar

Joined: Mon Jul 11, 2005 7:19 am
Posts: 7702
Location: Austria, Vienna
have you just installed the optware feed or have you installed some stuff before it did not work anymore?

_________________
LS1 (2.6 kernel, foonas svn1062, 750 GB, UBoot 1.2) & LS Pro (FreeLink/jtymod/GenLink, changes all the time)
Thx to all donators!


Top
 Profile  
 
PostPosted: Thu May 01, 2008 3:27 pm 
Offline
Newbie

Joined: Mon Jan 29, 2007 3:07 am
Posts: 6
I installed FreeLink_arm9-1.0rev2 a few months ago and upgraded to the stock FW 1.11 including the initrd. I doesn't know the problems until the last few days. Any advice?

update: Back to normal after following this page: Revive your arm9 box from scratch


Top
 Profile  
 
PostPosted: Tue May 13, 2008 10:10 am 
Offline
Newbie

Joined: Tue May 13, 2008 10:06 am
Posts: 5
Location: Norway
I get an error on my linkstation live as well,with the latest stock firmware (2.10)


root@HS-DHGL220:/mnt/disk1/tmp# sh lspro-bootstrap_1.0-10_arm.xsh
Optware Bootstrap for lspro.
Extracting archive... please wait
bootstrap
bootstrap/wget-ssl.ipk
bootstrap/openssl.ipk
bootstrap/ipkg.sh
4616+1 records in
4616+1 records out
bootstrap/ipkg-opt.ipk
bootstrap/bootstrap.sh
bootstrap/optware-bootstrap.ipk
Creating temporary ipkg repository...
Installing optware-bootstrap package...
Unpacking optware-bootstrap.ipk...Done.
Configuring optware-bootstrap.ipk...Setting up ipkg arch-file
Modifying /etc/init.d/rcS
Done.
Installing ipkg...
tar: Short header
tar: Short read
ipkg_install_file: ERROR unpacking control.tar.gz from ipkg-opt.ipk
Removing temporary ipkg repository...
Installing OpenSSL...
bootstrap.sh: line 41: /opt/bin/ipkg: No such file or directory


Top
 Profile  
 
PostPosted: Tue May 13, 2008 11:50 am 
Offline
Site Admin
User avatar

Joined: Mon Jul 11, 2005 7:19 am
Posts: 7702
Location: Austria, Vienna
seems as if the command "tar" which is provided by the stock busybox causes the problems? someone can provide a normal full tar for testing? my LS Pro needs serial so i can fix the messed up uboot enviroment, i would do it myself.

_________________
LS1 (2.6 kernel, foonas svn1062, 750 GB, UBoot 1.2) & LS Pro (FreeLink/jtymod/GenLink, changes all the time)
Thx to all donators!


Top
 Profile  
 
PostPosted: Tue May 13, 2008 12:51 pm 
Offline
Site Admin
User avatar

Joined: Tue Jul 12, 2005 11:26 am
Posts: 3701
Location: JAPAN
The busybox tar is very limited in what it can do so it is probably the cause of this problem: was another version of tar was used to create ipkg?

_________________
LS used as PVR and streaming source


Top
 Profile  
 
PostPosted: Tue May 13, 2008 2:46 pm 
Offline
Newbie

Joined: Tue May 13, 2008 10:06 am
Posts: 5
Location: Norway
It seems that both a normal tar package and its dependency bzip2 is available through the optware feed. I will try to install them manually and retry the bootstrapping when I have time. :)


Top
 Profile  
 
PostPosted: Wed May 14, 2008 3:14 am 
Offline
Total Newbie

Joined: Tue May 13, 2008 5:08 am
Posts: 2
Quote:
Done.
Installing ipkg...
tar: Short header
tar: Short read
ipkg_install_file: ERROR unpacking control.tar.gz from ipkg-opt.ipk
Removing temporary ipkg repository...
Installing OpenSSL...
bootstrap.sh: line 41: /opt/bin/ipkg: No such file or directory


I can't wait to hear more on this. I get the exact same error with my stock Linkstation Live 500gb. *Crosses fingers*


Top
 Profile  
 
PostPosted: Wed May 14, 2008 6:41 am 
Offline
Newbie

Joined: Tue May 13, 2008 10:06 am
Posts: 5
Location: Norway
Success :D

I made a tarball of gnu tar and its dep bz2 from the optware feed, available on http://www.ping.uio.no/~egil/linkstation/.

The fix goes as follows:
Code:
wget http://www.ping.uio.no/~egil/linkstation/alternative.tar
cd /
tar -xvf /<PATH/TO>/alternative.tar
cd -
PATH="/alt/bin":$PATH
sh <bootstrap-file>


Enjoy :)


Top
 Profile  
 
PostPosted: Wed May 14, 2008 6:54 am 
Offline
Newbie

Joined: Tue Mar 13, 2007 7:27 pm
Posts: 39
Big thanks for your work.

Unfortunately i semm to miss some or have the wrong libs:

root@LS-GLDBB:/mnt/disk1/tmp# sh lspro-bootstrap_1.0-10_arm.xsh
Optware Bootstrap for lspro.
Extracting archive... please wait
tar: /lib/libgcc_s.so.1: version `GCC_3.5' not found (required by tar)
tar: /lib/librt.so.1: version `GLIBC_2.4' not found (required by tar)
tar: /lib/libc.so.6: version `GLIBC_2.4' not found (required by tar)
lspro-bootstrap_1.0-10_arm.xsh: line 5: cd: bootstrap: No such file or directory

Any ideas on how to fix this?

Edit: Found out about the libgcc problem here in the forum and fixed that:

viewtopic.php?f=39&t=4807&p=43725

Nevertheless it doesnt seem to run on my machine. i get the same error as before the change in tar... (see some postings of me earlier)

_________________
----------------------------
LSPro v1 250 GB with freelink


Top
 Profile  
 
PostPosted: Wed May 14, 2008 7:10 am 
Offline
Newbie

Joined: Tue May 13, 2008 10:06 am
Posts: 5
Location: Norway
Its probably because you're running freelink instead of the stock firmware.
If you're running freelink optware is obsolete anyway, as you have a fully fledged system. Just use aptitude instead ;)


Top
 Profile  
 
PostPosted: Wed May 14, 2008 1:35 pm 
Offline
Newbie

Joined: Tue Mar 13, 2007 7:27 pm
Posts: 39
yeah i know

But fuppes is not available via aptitude...

Build it myself but doesnt run... (most probably the problem is interaural ;) )
Thought with the optware feed it would be easier, but if it wont run, i´ll try another way.

_________________
----------------------------
LSPro v1 250 GB with freelink


Top
 Profile  
 
PostPosted: Wed May 14, 2008 7:57 pm 
Offline
Site Admin
User avatar

Joined: Mon Jul 11, 2005 7:19 am
Posts: 7702
Location: Austria, Vienna
thx for posting a workaround.

i will download alternative.tar to the downloadsection and then update the first post.

_________________
LS1 (2.6 kernel, foonas svn1062, 750 GB, UBoot 1.2) & LS Pro (FreeLink/jtymod/GenLink, changes all the time)
Thx to all donators!


Top
 Profile  
 
PostPosted: Thu May 15, 2008 3:21 am 
Offline
Total Newbie

Joined: Tue May 13, 2008 5:08 am
Posts: 2
Well, it looks like it's time for me to give up again (for now).

Whether via uShare or FUPPES, my fully-firmware-upgraded PS3 just won't recognize nearly 90% of my files. (Most of which are AVI/XviD/Divx). It also doesn't really play much else, either, and depending on the version of the DLNA server software I use on my linkstation, I sometimes have more/less success.

FUPPES seemed to be promising, but the .cfg file how-to sites didn't match the version of FUPPES that optware installs. (In other words, it doesn't offer support for the PS3-specific section of the config file.)

uShare seems to work a bit better, but still has 100% failure with any avi or mp4 files.

Those very same files play perfectly fine via USB plugged into the PS3.

I don't know what else to do.

uShare via optware is at the most recent version, but FUPPES is not. Can I somehow upgrade FUPPES to the newer version that supports the newer config file, or will that involve compiling it myself? (Something I don't want to do, as this SHOULD be possible via stock Linkstation firmware)

Any suggestions would be amazingly appreciated. :D


Top
 Profile  
 
PostPosted: Thu May 15, 2008 7:22 am 
Offline
Site Admin
User avatar

Joined: Mon Jul 11, 2005 7:19 am
Posts: 7702
Location: Austria, Vienna
the best place to request a version upgrade in all optware feeds is at http://tech.groups.yahoo.com/group/nslu2-general/ as this is the nslu2-mailing list.

brian zhou is the main optware developer, i am sure he will respond to your request.

_________________
LS1 (2.6 kernel, foonas svn1062, 750 GB, UBoot 1.2) & LS Pro (FreeLink/jtymod/GenLink, changes all the time)
Thx to all donators!


Top
 Profile  
 
PostPosted: Thu May 15, 2008 7:52 am 
Offline
Newbie

Joined: Tue Mar 13, 2007 7:27 pm
Posts: 39
Is there a similar contact for the aptitude (apt-get) debian repository?

_________________
----------------------------
LSPro v1 250 GB with freelink


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 146 posts ]  Go to page Previous  1, 2, 3, 4, 5, 6, 7 ... 10  Next

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:

Protected by Anti-Spam ACP
Protected by Anti-Spam ACP Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group